/*----- PROTECTED REGION ID(ClassFactory.cpp) ENABLED START -----*/
static const char *RcsId = "$Header: /cvsroot/tango-ds/Instrumentation/SignalGenerator/Agilent33x20A/ClassFactory.cpp,v 1.3 2005/03/30 11:37:29 andy_gotz Exp $";
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible to create
//               all class singletin for a device server. It is called
//               at device server startup
//
// project :     TANGO Device Server
//
// $Author: andy_gotz $
//
// $Revision: 1.3 $
//
// $Log: ClassFactory.cpp,v $
// Revision 1.3  2005/03/30 11:37:29  andy_gotz
// new version of Agilent33x20A class which derives from the new standard SignalGenerator abstract class
// main change is underscores have been removed from the attribute names
//
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================


#include <tango.h>
#include <Agilent33x20AClass.h>

/**
 *	Create Agilent33x20AClass singleton and store it in DServer object.
 */

void Tango::DServer::class_factory()
{

	add_class(Agilent33x20A_ns::Agilent33x20AClass::init("Agilent33x20A"));

}
/*----- PROTECTED REGION END -----*/
